NativeSQLQueryNonScalarReturn (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.query.spi.sql
Class NativeSQLQueryNonScalarReturn

    java.lang.Object
      org.hibernate.engine.query.spi.sql.NativeSQLQueryNonScalarReturn

All Implemented Interfaces:
  Serializable, NativeSQLQueryReturn

Direct Known Subclasses:
  NativeSQLQueryCollectionReturn, NativeSQLQueryJoinReturn, NativeSQLQueryRootReturn

    public abstract class NativeSQLQueryNonScalarReturn

extends Object
implements NativeSQLQueryReturn, Serializable

Represents the base information for a non-scalar return defined as part of a native sql query.

See Also:
  Serialized Form

Constructor Summary
`protected` | `NativeSQLQueryNonScalarReturn(String alias, Map<String,String[]> propertyResults, LockMode lockMode)` Constructs some form of non-scalar return descriptor

Method Summary
`boolean` | `equals(Object o)`
`String` | `getAlias()` Retrieve the defined result alias
`LockMode` | `getLockMode()` Retrieve the lock-mode to apply to this return
`Map<String,String[]>` | `getPropertyResultsMap()` Retrieve the user-supplied column->property mappings.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NativeSQLQueryNonScalarReturn

    protected NativeSQLQueryNonScalarReturn(String alias,
                                            Map<String,String[]> propertyResults,
                                            LockMode lockMode)

  Constructs some form of non-scalar return descriptor

  Parameters:
    `alias` - The result alias
    `propertyResults` - Any user-supplied column->property mappings
    `lockMode` - The lock mode to apply to the return.

Method Detail

### getAlias

    public String getAlias()

  Retrieve the defined result alias

  Returns:
    The result alias.

### getLockMode

    public LockMode getLockMode()

  Retrieve the lock-mode to apply to this return

  Returns:
    The lock mode

### getPropertyResultsMap

    public Map<String,String[]> getPropertyResultsMap()

  Retrieve the user-supplied column->property mappings.

  Returns:
    The property mappings.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.